# Contributing

MoneyPrinterV2 is an open source project and we encourage contributions. However, we ask that you follow these guidelines when opening a Pull Request (PR):

1. **The `main` branch is the default branch.** All PRs should be opened against the `main` branch.
2. **All PRs should be opened against an issue.** If there is no issue for your PR, please open one first and then open a PR against it.
3. **All PRs should be opened with a clear title and description.** The title should be a short description of the changes and the description should be a more detailed explanation of the changes.
4. **Only one feature or bug fix per PR.** If you have multiple changes, please open multiple PRs.
5. **All PRs should be opened with the `WIP` label if they are not ready to be merged.** If your PR is not ready to be merged, please open it with the `WIP` label and remove the label when it is ready to be merged.

If you have any questions about contributing, please open an issue and ask. We are happy to help you get started.

# Code of Conduct

We have adopted a Code of Conduct that we expect project participants to adhere to. Please read [the full text](CODE_OF_CONDUCT.md) so that you can understand what actions will and will not be tolerated.
